# ENADIS.CGI

Section: Maintenance Commands (8)
Updated: Version 4.3.28: 17 Jan 2017
Index Return to Main Contents

## NAME

enadis.cgi - CGI program to enable/disable Xymon tests

## SYNOPSIS

enadis.cgi (invoked via CGI from webserver)

## DESCRIPTION

enadis.cgi is a CGI tool for disabling and enabling hosts and tests monitored by Xymon. You can disable monitoring of a single test, all tests for a host, or multiple hosts - immediately or at a future point in time.

enadis.cgi runs as a CGI program, invoked by your webserver. It is normally run via a wrapper shell-script in the secured CGI directory for Xymon.

enadis.cgi is the back-end script for the enable/disable form present on the "info" status-pages. It can also run in "stand-alone" mode, in which case it displays a web form allowing users to select what to enable or disable.

## OPTIONS

--no-cookies
  Normally, enadis.cgi uses a cookie sent by the browser to initially filter the list of hosts presented. If this is not desired, you can turn off this behaviour by calling acknowledge.cgi with the --no-cookies option. This would normally be placed in the CGI_ENADIS_OPTS setting in cgioptions.cfg(5)

--env=FILENAME
  Load the environment from FILENAME before executing the CGI.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

## FILES

$XYMONHOME/web/maint_{header,form,footer}
  HTML template header

## BUGS

When using alternate pagesets, hosts will only show up on the Enable/Disable page if this is accessed from the primary page in which they are defined. So if you have hosts on multiple pages, they will only be visible for disabling from their main page which is not what you would expect.

## SEE ALSO

xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
BUGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 00:13:25 GMT, January 18, 2017